Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 09 May 2002 08:19:53 -0400
From:      "Jorgensen, Paul" <guifoo@comcast.net>
To:        freebsd-alpha@FreeBSD.org
Subject:   Re: Java 2 !
Message-ID:  <1020946793.90466.7.camel@roshomon.idnopheq.net>
In-Reply-To: <-1230243490.1019539154157.JavaMail.root@localhost>
References:  <-1230243490.1019539154157.JavaMail.root@localhost>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
Hi, All!

I followed the instructions as best I could.  I now get ...

<snip>

[idnopheq@roshomon:/compat/linux/usr/java/jdk1.3.1/bin]$ ./java -version
/usr/compat/linux/usr/java/jdk1.3.1/bin/alpha/native_threads/java: error
while loading shared libraries:
/usr/compat/linux/usr/java/jdk1.3.1/bin/alpha/native_threads/java:
undefined symbol: __setfpe_mode

</snip>

I think I blew step D below with linux-devel.  Any thoughts?  Anyone
have the files hosted anywhere for me to check against?

And to ask the question in advance, how then does one tie it into
Netscape 4.78 installed (the OSF/1 port) and/or native Konquerer?

Thanks!

p.s. - I tried to send yesterday, but my ISP's SMTP server went flaky. 
If this did hit the list, I didn't see it. 

On Tue, 2002-04-23 at 01:19, roberto@spock.cl wrote:
> After a lengthy fight, i have the pleasure to tell the list that
> 
> a) The Compaq JDK 1.3.1 for Linux/Alpha works on FreeBSD under /compat/linux
> 
> b) If this e-mail reaches the list, it works sufficiently well to run
> Tomcat 4.0.4b2 as i am sending it from the Tomcat sample sendmail.jsp
> 
> The install is rather rough but goes as follows
> 
> A) Install linux_compat-7
> B) Install lesstiff-0.9.3 (Could not get the ICS Openmotif lib to work on real Linux either!?) (compaq java expects libXm.so.2 but lesstiff is sufficiently compatible for most tasks, so a symlink to libXm.so.1.0.2 will suffice)
> C) Install compaq libots and compaq cpml
> D) build the libots.so and libcpml.so libraries by hand with linux_devel OR build them on a real linux-alpha machine (perhaps we could host pre-built ones somewhere)
> E) Install the J2SDK rpm
> F) Edit /compat/linux/usr/java/jdk1.3.1/bin/java to use /compat/linux/bin/sh and
> /compat/linux/usr/bin/expr
> G) Enjoy
> 
> Will post further details as they appear
> 
> Regards
> Roberto
> 
> BTW, The experiment is being done on an AS 2100 A that is unable to run linux! running 4.5-RELEASE
> 
> To Unsubscribe: send mail to majordomo@FreeBSD.org
> with "unsubscribe freebsd-alpha" in the body of the message



To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-alpha" in the body of the message




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?1020946793.90466.7.camel>